SuSE 10 Security Update : nagios (ZYPP Patch Number 6356)

High Nessus Plugin ID 41561


The remote SuSE 10 host is missing a security-related patch.


A shell injection bug in nagios' statuswml.cgi CGI script has been fixed. CVE-2009-2288 has been assigned to this issue.


Apply ZYPP patch number 6356.

See Also

Plugin Details

Severity: High

ID: 41561

File Name: suse_nagios-6356.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2009/09/24

Modified: 2013/05/10

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2009/07/15

Exploitable With


Core Impact

Metasploit (Nagios3 statuswml.cgi Ping Command Execution)

Elliot (Nagios 3.1.0 RCE)

Reference Information

CVE: CVE-2009-2288

CWE: 78